உள்ளடக்கத்திற்குச் செல்க

Midas Depth Estimation

ஒருங்கிணை

மாடல் id imageutils/depth
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/imageutils/depth?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

இந்தக் கோரிக்கை: ≈$0.002 2 API கிரெடிட்கள் · ≈ ₽0.21 இந்தப் பக்கத்தில் இயக்குங்கள்

API விசையைப் பெறுக

Midas-ஐ பயன்படுத்தி படத்திலிருந்து ஆழ வரைபடத்தை மதிப்பிடுகிறது; மேற்பரப்பு normal-களையும் வெளியிடும் விருப்பத்துடன்

Utility · படம்

உங்கள் முதல் முடிவு இங்கே வரும்

கீழே ஒரு கோரிக்கையை உருவாக்கி, உங்கள் API விசையுடன் இயக்குங்கள். வெளியீடுகள் எங்கள் சேமிப்பகத்தில் நகலெடுக்கப்பட்டு, நிரந்தரமாக அல்லது இலவசமாக 7 நாட்கள் வைக்கப்படும்.

கோரிக்கையை உருவாக்கு

மாடல் ஸ்கீமாவிலிருந்து கட்டுப்பாடுகள் உருவாக்கப்படுகின்றன. அவற்றை மாற்றும்போது குறியீடும் விலையும் புதுப்பிக்கப்படும்.

•தேவை image_url
கோப்பை விடுங்கள் அல்லது

உள்ளீட்டுப் படத்தின் URL.

மேம்பட்டவை a · bg_th · depth_and_normal
இயல்புநிலை 6.283185307179586

a-ன் மதிப்பு.

இயல்புநிலை 0.1

bg_th-ன் மதிப்பு.

POST /run/imageutils/depth?wait=20 விலை → $0.002
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/imageutils/depth?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

இந்தக் கோரிக்கையை இயக்கு

உங்கள் key இந்த உலாவியில் மட்டுமே இருக்கும்: அது Doitong API-க்கு மட்டும் அனுப்பப்படும்; Remember-ஐத் தேர்ந்தெடுத்தால் மட்டுமே (localStorage)-ல் சேமிக்கப்படும். API விசையைப் பெறுங்கள்

Midas Depth Estimation பற்றி

Midas மதிப்பீட்டியைப் பயன்படுத்தி ஒரு உள்ளீட்டுப் படத்திலிருந்து ஆழ வரைபடத்தை உருவாக்குகிறது. `image_url` உடன், `a` மற்றும் `bg_th` என்ற எண் அளவுருக்களையும், ஆழத்துடன் normal-களை வழங்கும் `depth_and_normal` கொடியையும் கொண்டுள்ளது. ஒரு படப் பொருளை மட்டுமே வழங்குகிறது.

அளவுருக்கள்

நியமப் பெயர் அல்லது நேட்டிவ் பெயர் இரண்டில் ஒன்றை மட்டும் அனுப்பவும். நியமப் பெயர்கள்

பெயர்வகை இயல்புநிலைஅனுமதிக்கப்பட்டது விளக்கம்
image_urlதேவை image
வகைurl · image
உள்ளீட்டுப் படத்தின் URL.
aவிருப்பத்தேர்வு
வகைnumber
இயல்புநிலை6.283185307179586
a-ன் மதிப்பு.
bg_thவிருப்பத்தேர்வு
வகைnumber
இயல்புநிலை0.1
bg_th-ன் மதிப்பு.
depth_and_normalவிருப்பத்தேர்வு
வகைboolean
இயல்புநிலைfalse
depth_and_normal-க்கான அமைப்பு.
தேவை நியமப் பெயர், இதுவும் ஏற்கப்படும்

கோப்பு அளவுருக்கள் பொதுவான https:// URL, 10 MB வரையிலான data: URI அல்லது பதிவேற்றத்தின் file_url-ஐ ஏற்கும். கோப்புகள்

வெளியீடு

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "imageutils/depth",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 2,
    "usd": "0.002",
    "charged": 2,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    }
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
உங்கள் கோப்புகள், உங்கள் தேர்வுஒவ்வொரு outputs[].url-ம் எங்கள் சேமிப்பகத்தில் உள்ள ஒரு நகல்: நிரந்தரமாக (GB-மாதத்திற்கு கட்டணம்) அல்லது உங்கள் கணக்கு அமைப்பு அல்லது ?storage= மூலம் இலவசமாக 7 நாட்கள் வைக்கப்படும்.
ஒவ்வொரு மாடலிலும் ஒரே வடிவம்படங்கள், வீடியோ மற்றும் ஆடியோ ஆகிய அனைத்திற்குமான type, url, content_type, width, height மற்றும் duration. output என்பது மாதிரியின் சொந்த முடிவு பொருளாகும்.
வெளியீட்டின் புலங்கள்
image
object {url, content_type, file_name, file_size, width, height}ஆழ வரைபட வெளியீடு.

மேலும் மாதிரிகள்: படத் திருத்தம்

AI ஏஜெண்டுகளுக்கு: இந்தப் பக்கம் Markdown வடிவில் இங்கே உள்ளது https://doitong.com/ta/developers/models/imageutils/depth.md. அனைத்து மாடல்களும் வழிகாட்டிகளும்: https://doitong.com/developers/llms.txt